#include <unistd.h>
#include <termios.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

int main(void)
{
    struct termios param;
    int fd;

    fd=open("/dev/ti",O_RDWR|O_SYNC);
    if (fd==-1) {
	printf("Could not open /dev/ti.\n");
	return -1;
    }

    param.c_iflag=0;
    param.c_oflag=0;
    param.c_cflag=CS8|CLOCAL|CREAD;
    param.c_lflag=0;
    param.c_cc[VMIN]=0;
    param.c_cc[VTIME]=100;
    cfsetospeed(&param,B9600);
    cfsetispeed(&param,B9600);
    tcsetattr(fd,TCSANOW,&param);

    close(fd);
    return 0;
}
