#ifndef __TI89FUNC_H__
#define __TI89FUNC_H__

#include <list>

#include "keysyms.h"
#include "Var.h"
#include "Packet.h"
#include <stdio.h>

extern FILE *ti_device;

unsigned char detect_calc_type(FILE* dev, unsigned *flags);
  // "flags"
  // bit  8: 1=inside application
  // bit  4: 1=low battery indicator
Packet::PacketError sendkey(unsigned char calcid, keysym k);
int verifyFold(const char *folder);
int getContents(const char *folder, list<Var> &fold);
int getScreen(Var &var);
int getCert(Var &v);
int getCode(Var &v);
int getVar(const char *folder, const char *varname, Var &v);
int sendVar(const char *folder, const char *varname, Var &v);

#endif // __TI89FUNC_H__
